import request from '@/utils/request'

export function getDictionary(param) {
  return request({
    url: '/Dictionary/getDictionary',
    method: 'post',
    data: param
  })
}

export function getBasicDataSelect(searchKey) {
  return request({
    url: `/Dictionary/getBasicDataSelect?searchKey=${searchKey}`,
    method: 'get'
  })
}
export function getBasicDataSelects(param) {
  return request({
    url: `/Dictionary/getBasicDataSelect`,
    method: 'post',
    data: param
  })
}

export function getBasicDataAllSelect(params) {
  return request({
    url: params ? `/Dictionary/getBasicDataAllSelect?TrialReadingCriterionId=${params}` : `/Dictionary/getBasicDataAllSelect`,
    method: 'get'
  })
}

export function setCriterionDictionary(params) {
  return request({
    url: `/ReadingQuestion/setCriterionDictionary`,
    method: 'post',
    data: param
  })
}

export function testTimeOut(params) {
  return request({
    url: `/Test/testTimeOut`,
    method: 'post',
    data: params
  })
}
